import './Device.css';
import Table from '../Table/Table';
import { useSelector } from 'react-redux';

function InactiveDevices(props) {
  const devices = useSelector((state) => state.devices.inactivDevices);


  return (
    <>
      <h5 className="device-title">Данные по устройствам, не передававшим пакеты более 30 минут</h5>
      <div className="styled-table-wrapper">
        <Table data={devices} />
      </div>
    </>
  );
}

export default InactiveDevices;
