import {INIT_PACKETS} from '../types'
import axiosInstance from '../../config/axios.config';

export const initPackets = (packets) => ({
  type: INIT_PACKETS,
  payload: packets
})


export const initPacketsFromServer = (payload) => async (dispatch) => {
  try {
    const { data } = await axiosInstance.post(`/packets/paginated`, payload)
    if (data) {
      dispatch(initPackets(data))
    }
  } catch (error) {
    console.log(error);
  }
}

