import { ADD_USER, INIT_USERS } from '../types'
import axiosInstance from '../../config/axios.config';


export const initUsers = (users) => ({
  type: INIT_USERS,
  payload: users
})


export const initUsersFromServer = () => async (dispatch) => {
  try {
    const { data } = await axiosInstance('/user')
    dispatch(initUsers(data))
  } catch (error) {
    console.log(error);
  }
}

export const setUser= (users) => ({
  type: ADD_USER,
  payload: users
})

export const  addUser = (payload) => async (dispatch) => { 
  try {
    const { data } = await axiosInstance.post('/user', payload )
      dispatch(setUser(data))
  } catch (error) {
    console.log(error);
  }
}




