
function createArrayOfObject() {
  const obj = {
    imei: 'IMEI-код устройства',
    packetNum: 50,
    dt: new Date(),
    pack_dt: 'Время формирования пакета',
    pack_lat: 'Широта точки формирования пакета',
    pack_lon: 'Долгота точки формирования пакета',
    speed: 'Скорость',
    voltage: 'Напряжение питания, В',
    port_id: 'Идентификатор порта',
    source_address: 'Исходный адрес',
    fuel_used_hour: 'Часовой расход топлива, л/ч',
    fuel_used_total: 'Расход топлива двигателем, л',
    fuel_temperature: 'Температура топлива, °C',
    fuel_used_total_hr: 'Суммарный расход топлива высокого разрешения, л',
    fuel_used_idle: 'Расход топлива двигателем на холостых оборотах, л',
    engine_runtime_idle: 'Общее время работы двигателя на холостом ходу, ч',
    fuel_used_hour_average: 'Средний часовой расход топлива, л/ч',
    engine_mode_fuel_flow: 'Режим работы двигателя по расходу',
    fuel_used_hour_feed: 'Часовой расход топлива в камере - 18.0 Камера "Подача", л/ч',
    fuel_used_hour_return: 'Часовой расход топлива в камере - 18.1 Камера "Обратка", л/ч',
    chamber_mode_feed: 'Режим работы камеры - 18.0',
    chamber_mode_return: 'Режим работы камеры - 18.1',
    fuel_used_hour_kg: 'Часовой расход топлива, кг/ч',
    fuel_used_total_kg: 'Расход топлива двигателем, кг',
    fuel_used_total_hr_kg: 'Суммарный расход топлива высокого разрешения, кг',
    fuel_used_idle_kg: 'Расход топлива двигателем на холостых оборотах, кг',
    fuel_used_hour_average_kg: 'Средний часовой расход топлива, кг/ч',
    fuel_used_hour_feed_kg: 'Часовой расход топлива в камере - 18.0 Камера "Подача", кг/ч',
    fuel_used_hour_return_kg: 'Часовой расход топлива в камере - 18.1 Камера "Обратка", кг/ч',
    geo: 'География',
    arhiv_date: 'Дата архивных данных (SD-карты)',
  };
  const result = [];
  
  for (let i = 0; i < 20; i++) {
    result.push({ ...obj });
  }

  return result;
}
export default createArrayOfObject;
