const mongoose = require('mongoose');

const { Schema } = mongoose;

const tokenSchema = new Schema({
  userId: {
    type: mongoose.Schema.Types.ObjectId,
    required: true,
    ref: 'User', // Ссылка на модель пользователя
  },
  refreshToken: {
    type: String,
    required: true,
  },
}, {
  timestamps: true,
});

module.exports = mongoose.model('Token', tokenSchema);
