/* eslint-disable no-param-reassign */
/* eslint-disable no-unused-vars */
const logger = require('../utils/logger');

function errorHandler(err, req, res, next) {
  logger.error('Error Message:', err.message);
  if (!err.statusCode) err.statusCode = 500;

  return res.status(err.statusCode).json({
    error: err.toString(),
    message: err.message,
  });
}

module.exports = { errorHandler };
