// Импорт объекта роутера из библиотеки Express
const router = require('express').Router();

const { verifyTokenHttp } = require('../middleware/verifyToken'); // Функция для проверки токена
const { loginHttp, logoutHttp, checkAuth } = require('../controllers/authorization.controller'); // Функции контроллера аутентификации

router.route('/logout')
  .get(logoutHttp);

router.route('/login')
  .post(loginHttp);

router.route('/checkAuth')
  .get(verifyTokenHttp, checkAuth);

module.exports = router;
