const router = require('express').Router();
const { verifyTokenHttp } = require('../middleware/verifyToken');
const {
  initDevices,
  editDevices,
} = require('../controllers/devices.controller');

router.route('/')
  .get(verifyTokenHttp, initDevices)
  .put(verifyTokenHttp, editDevices);

module.exports = router;
