/* eslint-disable react-hooks/exhaustive-deps */
import {Link} from "react-router-dom"
import { useDispatch } from 'react-redux';
import { userLogout } from '../../redux/actions/auth.action';
import { useNavigate } from 'react-router-dom';
import { useSelector  } from 'react-redux';

export default function Nav() {
  const dispatch = useDispatch()
  const navigate = useNavigate()
  const { values } = useSelector( state => state.user)

  const hendlerClick = (event) => {
    event.preventDefault();
    localStorage.removeItem('id')
    dispatch(userLogout())
    navigate('/')
  };

  return (
  <nav className="nav">
    {!values.id? 
      <div className="uk-navbar-left">
       <ul className="uk-navbar-nav">
        <li><Link to="/">SignIn</Link></li>
       </ul>
      </div>:
        <div className="uk-navbar-left">
        <ul className="uk-navbar-nav">
         <li><Link to="/users">Users</Link></li>
         <li><Link to="/packets">Packets</Link></li>
         <li><Link to="/devices">Devices</Link></li>
         <li><Link to="/inactive_devices">Inactive Devices</Link></li>
         <li><Link to="#" href="#" onClick={hendlerClick}>Logout</Link></li>
        </ul>
       </div>
    }
  </nav>
  );
}
