import { ADD_USER, INIT_USERS } from "../types";

export function usersReducer(state = [], action) {
  const { type, payload } = action

  switch (type) {
    case INIT_USERS: {
      return payload
    }

    case ADD_USER: {
      return [...state, payload]
    }

    default:
      return state
  }
}
