const catchAsync = (fn) => (req, res, next) => {
  fn(req, res, next).catch(next);
};

module.exports = { catchAsync };
// для обертки асинхронных функций в контроллерах чтобы не использовать try catch
// использовать с миделварой для обработки ошибок
// const initPackets = catchAsync(async (req, res, next) => {
//   const { id } = req.params;
//   const packetsData = await initPacketsFromServer(id);
//   return res.json(packetsData);
// });
